Bug 1664432 - Build FreeCAD as Qt5 Build
Summary: Build FreeCAD as Qt5 Build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1634658
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 18:37 UTC by Cedric Sodhi
Modified: 2019-10-26 17:26 UTC (History)
3 users (show)

Fixed In Version: freecad-0.18.3-5.fc30.1 freecad-0.18.3-5.fc31.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 17:01:35 UTC


Attachments (Terms of Use)

Description Cedric Sodhi 2019-01-08 18:37:39 UTC
FreeCAD apparently supports being compiled with Qt5 instead of Qt4 support. Things like the Gtk-Theme Engine for Qt are no longer available for Qt4 in Fedora, and only for Qt5. Possibly Qt4 support is lacking in other areas, too. Therefore, it would be nice if the FreeCAD build in Fedora was compiled for Qt5.

Comment 1 Richard Shaw 2019-01-18 14:05:34 UTC
It looks like we would need pyside & shiboken to update to Qt5 first...

I may try setting up a COPR first when I have some spare cycles to do test builds.

Comment 2 Richard Shaw 2019-07-12 15:53:42 UTC
I finally got PySide2 in Fedora but then rawhide updated to Qt 5.12.4 & Python 3.8 and broke it...

Comment 3 Ben Cotton 2019-08-13 16:47:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Richard Shaw 2019-09-24 13:52:37 UTC
Still working on this (quite a bit actually) and have been able to do test packages but there's a problem with FreeCAD and Python 3.8 that I had to submit a bug for.

Comment 5 Fedora Update System 2019-10-16 20:47:22 UTC
FEDORA-2019-85f570456c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f570456c

Comment 6 Fedora Update System 2019-10-17 15:30:28 UTC
freecad-0.18.3-5.fc31.1 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7b61c54e0f

Comment 7 Fedora Update System 2019-10-17 23:42:08 UTC
freecad-0.18.3-5.fc30.1 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-85f570456c

Comment 8 Fedora Update System 2019-10-25 17:01:35 UTC
freecad-0.18.3-5.fc30.1 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-10-26 17:26:46 UTC
freecad-0.18.3-5.fc31.1 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.